package com.ruoyi.web.work.service.impl;

import java.util.Collections;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.web.work.domain.Report;
import com.ruoyi.web.work.domain.Request;
import com.ruoyi.web.work.mapper.ReportMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.ResultMapper;
import com.ruoyi.web.work.domain.Result;
import com.ruoyi.web.work.service.IResultService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-23
 */
@Service
public class ResultServiceImpl extends ServiceImpl<ResultMapper, Result> implements IResultService {
    @Autowired
    private ResultMapper resultMapper;

    @Autowired
    private ReportMapper reportMapper;

    @Override
    public List<Result> selectList(Result result) {
        return resultMapper.selectList(result);
    }

    @Override
    public List<Result> getResultByCard(String card) {
        return resultMapper.getResultByCard(card);
    }

    @Override
    public List<Result> getAllResultByPatId(Long patId) {
        return resultMapper.getAllResultByPatId(patId);
    }

    @Override
    public List<Result> getObxResultByObrId(String obrId) {
        return resultMapper.selectResultByObrId(obrId);
    }

    @Override
    public Report getOrcReportByObcId(String orcId) {
        return reportMapper.selectOrcReportByObcId(orcId);
    }


}
